Page MenuHomePhabricator

Merge confirmed and unconfirmed tag arrays into a single array
Closed, ResolvedPublic

Description

Due to the previous paradigm of rejected tags, which has been removed, confirmed and unconfirmed tags are stored in separate arrays within SuggestionGroupWidget. Each time a tag is toggled, the entire group and all of its SuggestionWidgets are rerendered. This is unnecessary now and has the unfortunate side effect of disturbing focus within the widget group. We should refactor the code to store suggestions in a single array and toggle their state.

In addition to updating SuggestionWidgetGroup, we will need to update the code preceding the API call in ImageWithSuggestionsWidget.

Details

Related Gerrit Patches:
mediawiki/extensions/MachineVision : masterRefactor suggestions and suggestions group

Event Timeline

AnneT created this task.Oct 8 2019, 4:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 8 2019, 4:47 PM
AnneT moved this task from Backlog to Ready for dev on the MachineVision board.Oct 8 2019, 4:47 PM
AnneT moved this task from To Do to Current Work on the Structured-Data-Backlog board.

Change 543189 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/MachineVision@master] Refactor suggestions and suggestions group

https://gerrit.wikimedia.org/r/543189

Change 543189 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Refactor suggestions and suggestions group

https://gerrit.wikimedia.org/r/543189

AnneT moved this task from In development to Done on the MachineVision board.Oct 18 2019, 2:02 PM
Ramsey-WMF closed this task as Resolved.Dec 16 2019, 5:59 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

Tested on prod via keyboard tabbing/selection to toggle. Works as expected, no re-render for all tags.